1

I downloaded Skype for Ubuntu from here. I tried to install it with the command sudo dpkg -i skype-ubuntu-precise_4.2.0.11-1_i386.deb but the installation failed. The following lines were displayed in the terminal:

dineshkumar@dineshkumar-desktop:~/Downloads$ sudo dpkg -i skype-ubuntu-precise_4.2.0.11-1_i386.deb
Selecting previously unselected package skype.
(Reading database ... 169017 files and directories currently installed.)
Unpacking skype (from skype-ubuntu-precise_4.2.0.11-1_i386.deb) ...
dpkg: dependency problems prevent configuration of skype:
 skype depends on libqtwebkit4 (>= 2.2~2011week36); however:
  Package libqtwebkit4 is not installed.
 skype depends on libxss1; however:
  Package libxss1 is not installed.
dpkg: error processing skype (--install):
 dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme ...
Processing triggers for desktop-file-utils ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for gnome-menus ...
Errors were encountered while processing:
 skype

Why did the installation fail and how could I install Skype from the .deb file that I have?

I checked the question here but found it of no use. The problem being discussed there was about Skype malfunctioning after an update. But in my case, I couldn't even install Skype properly.

  • Take a look at my answer Here, see if it helps in installing – Mitch Aug 9 '13 at 20:35
1

The error is caused by dependency problems (absence of some packages which skype requires for it to be installed). The following lines that were displayed confirm this:

skype depends on libqtwebkit4 (>= 2.2~2011week36); however:
  Package libqtwebkit4 is not installed.
skype depends on libxss1; however:
  Package libxss1 is not installed.
dpkg: error processing skype (--install):
  dependency problems - leaving unconfigured

Therefore, it is obvious that the error can be overcome by installing the missing packages (libqtwebkit4 & libxss1). To install these packages,

  • Open the Terminal.
  • Type sudo apt-get install libqtwebkit4 to install the libqtwebkit4 package.
  • Type sudo apt-get install libxss1 to install the libxss1 package.
  • After installing the required packages, continue with the process of installing skype with the command sudo dpkg -i skype-ubuntu-precise_4.2.0.11-1_i386.deb
0

you can install skype using command line by:

wget -O skype-NoobsLab.deb http://download.skype.com/linux/skype-ubuntu-lucid_4.2.0.11-1_i386.deb

sudo dpkg -i skype-NoobsLab.deb

sudo apt-get -f install

For 64Bit

Terminal Commands:

sudo dpkg --add-architecture i386

sudo apt-get install ia32-libs

sudo apt-get update

wget -O skype-NoobsLab.deb http://download.skype.com/linux/skype-ubuntu-lucid_4.2.0.11-1_i386.deb

sudo dpkg -i skype-NoobsLab.deb

sudo apt-get -f install;rm skype-NoobsLab.deb

After all of this run in terminal

sudo apt-get install sni-qt:i386

This will restore the skype contact window

0
sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get update 
sudo apt-get install skype

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.